var JsonPropertyFilter = require("json-property-filter");

var source = {
  "firstName": "John",
  "lastName": "Smith",
  "age": 25,
  "address": {
    "streetAddress": "21 2nd Street",
    "city": "New York",
    "state": "NY",
    "postalCode": "10021"
  },
  "phoneNumber":[
    {
      "type": "home",
      "number": "212 555-1234"
    },
    {
      "type": "fax",
      "number": "646 555-4567"
    }
  ],
  "gender": {
    "type": "male"
  }
};;

var filter = new JsonPropertyFilter.JsonPropertyFilter(["**"]);
filter.apply(source);;

var filter = new JsonPropertyFilter.JsonPropertyFilter(["*"]);
filter.apply(source);;

var filter = new JsonPropertyFilter.JsonPropertyFilter(["firstName", "lastName", "phoneNumber.number"]);
filter.apply(source);;

var filter = new JsonPropertyFilter.JsonPropertyFilter(["**", "-firstName", "-lastName"]);
filter.apply(source);;

var filter = new JsonPropertyFilter.JsonPropertyFilter(["phoneNumber", "-phoneNumber.number"]);
filter.apply(source);;

var filter = new JsonPropertyFilter.JsonPropertyFilter(["-age", "-phoneNumber", "-gender"]);
filter.apply(source);;

var filter = new JsonPropertyFilter.JsonPropertyFilter(["-address.*"]);
filter.apply(source);;
